---
apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.secretNamePull }}
  {{- with .Values.secrets.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
type: kubernetes.io/Opaque
data:
  token: {{ .Values.secret.pull_token }}
  user: {{ .Values.secret.pull_user }}
  pull_pwd_script: {{ .Values.secret.pull_pwd_script }}
  git_ref: {{ .Values.secret.git_ref }}
  apache_uid: {{ .Values.secret.apache_uid }}
  host: {{ .Values.secret.host }}
